PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0-rc2 »
- Goddard Utilities (`pydl.goddard`) »
- airtovac

# airtovac

pydl.goddard.astro.airtovac(air)

  Convert air wavelengths to wavelengths in vacuum.

  Parameters
    air array-like

      Values of wavelength in air in Angstroms. `Quantity` objects with valid length dimensions will be internally converted to Angstrom.

  Returns
    array-like

      Values of wavelength in vacuum in Angstroms. If a `Quantity` object was passed in, the output will be converted to the same units as the input.

  Notes

  - Formula from P. E. Ciddor, Applied Optics, 35, 1566 (1996).

  - Values of wavelength below 2000 Å are not converted.